﻿@model IPagedList<Gallery>
@{
    ViewBag.Title = Resources.Layout_LightingGalleryTitle;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-md-12 gallery">
        <div class="well well-sm col-md-12">
            @foreach(var item in Model)
            { 
                <div class='col-sm-4 col-xs-6 col-md-3 col-lg-3'>
                    <a class="thumbnail fancybox" rel="ligthbox" href="~/images/gallery/@item.ImageName">
                        <img class="img-responsive" alt="" src="~/images/gallery/@item.ImageName?width=290&height=220&quality=60&mode=stretch" />
                    </a>
                </div>
            }
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="well well-sm col-md-12">
            <div class="col-md-4"></div>
            <div class="col-md-4">
                @Html.PagedListPager(Model, page => Url.Action("Gallery", new { page = page, cat = ViewBag.Category }))
            </div>
            <div class="col-md-4"></div>
        </div>
    </div>
</div>
